
package com.tmerclub.cloud.api.feign;

import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * 搜索符合定时任务条件的订单
 * @author tmerclub
 * @date 2021/02/05
 */
public interface SearchOrderRefundTaskFeignClient {
    /**
     * 取消申请超时的订单，无论该超时订单处于任何状态
     * @return
     */
    ServerResponseEntity<Object> cancelWhenTimeOut();

    /**
     * 退款临近超时提醒
     * @return
     */
    ServerResponseEntity<Object> pressProximityTimeOutOrder();

    /**
     * 发放退款
     * @return
     */
    ServerResponseEntity<Object> refundRequest();

    /**
     * 执行一下平台介入超时处理，超时则默认平台不同意退款
     * @return
     */
    ServerResponseEntity<Object> cancelRefundInterventionTimeOut();

}
